aboutsummaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2013-03-18 17:33:51 +0100
committerJustin Lecher <jlec@gentoo.org>2013-03-18 17:33:51 +0100
commit776ba49c9d36cb17f410355943d3cdc06274b4fe (patch)
tree6cba25070cc9ca0c872764d3f8bc5a2bed691ed1 /dev-db
parentMerge branch 'master' of git+ssh://git.overlays.gentoo.org/proj/sci (diff)
downloadsci-776ba49c9d36cb17f410355943d3cdc06274b4fe.tar.gz
sci-776ba49c9d36cb17f410355943d3cdc06274b4fe.tar.bz2
sci-776ba49c9d36cb17f410355943d3cdc06274b4fe.zip
dev-db/cppdb: Import from sunrise
Package-Manager: portage-2.2.0_alpha166
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/cppdb/ChangeLog26
-rw-r--r--dev-db/cppdb/Manifest1
-rw-r--r--dev-db/cppdb/cppdb-0.3.1-r1.ebuild50
-rw-r--r--dev-db/cppdb/metadata.xml13
4 files changed, 90 insertions, 0 deletions
diff --git a/dev-db/cppdb/ChangeLog b/dev-db/cppdb/ChangeLog
new file mode 100644
index 000000000..8017ba41e
--- /dev/null
+++ b/dev-db/cppdb/ChangeLog
@@ -0,0 +1,26 @@
+# ChangeLog for dev-db/cppdb
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 18 Mar 2013; Justin Lecher <jlec@gentoo.org> +cppdb-0.3.1-r1.ebuild,
+ +metadata.xml:
+ Import from sunrise
+
+*cppdb-0.3.1-r1 (08 Mar 2013)
+
+ 08 Mar 2013; Patrick Lauer <patrick@gentoo.org> -cppdb-0.3.1.ebuild,
+ +cppdb-0.3.1-r1.ebuild:
+ Add ~amd64 keyword, EAPI bump
+
+*cppdb-0.3.1 (28 Jun 2012)
+
+ 28 Jun 2012; Jauhien Piatlicki (jauhien) piatlicki@gmail.com
+ -cppdb-0.3.0.ebuild, +cppdb-0.3.1.ebuild:
+ Version bump: dev-db/cppdb-0.3.1
+
+*cppdb-0.3.0 (03 Apr 2012)
+
+ 03 Apr 2012; Jauhien Piatlicki (jauhien) piatlicki@gmail.com
+ +cppdb-0.3.0.ebuild, +metadata.xml:
+ New ebuild for bug #410713 thanks to people from #gentoo-sunrise
+
diff --git a/dev-db/cppdb/Manifest b/dev-db/cppdb/Manifest
new file mode 100644
index 000000000..20de58c2f
--- /dev/null
+++ b/dev-db/cppdb/Manifest
@@ -0,0 +1 @@
+DIST cppdb-0.3.1.tar.bz2 251449 SHA256 d60eef5a732d8f84ef5e4a2845a8cefc543a6c75bf3782589c2cf6aa150b992e SHA512 19e60becbffef7a252eda5fdd5821b44c2eeb5d69e84cf46e89ed6af3cea315f3cfe7b2cc4f62fbe154be8abdad3363761dd0252f94671421010273eeae65678 WHIRLPOOL 71ab865ef7ffeae43ec8c7278553225ab0b6ccddc8355213a60ab77c835af569d157c77ff417e651754c3f34187b516f6e16fb982321de8701fa60619e19b77d
diff --git a/dev-db/cppdb/cppdb-0.3.1-r1.ebuild b/dev-db/cppdb/cppdb-0.3.1-r1.ebuild
new file mode 100644
index 000000000..8bf4320ff
--- /dev/null
+++ b/dev-db/cppdb/cppdb-0.3.1-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit cmake-utils multilib
+
+DESCRIPTION="An SQL connectivity library for platform and database independent connectivity"
+HOMEPAGE="http://cppcms.com/sql/cppdb/"
+SRC_URI="mirror://sourceforge/cppcms/${P}.tar.bz2"
+
+LICENSE="|| ( Boost-1.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples mysql mysql_internal odbc odbc_internal postgres postgres_internal sqlite sqlite_internal"
+
+DEPEND="
+ mysql? ( virtual/mysql )
+ odbc? ( dev-db/unixODBC )
+ postgres? ( dev-db/postgresql-base )
+ sqlite? ( dev-db/sqlite:3 )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs="
+ $(cmake-utils_use_disable mysql MYSQL)
+ $(cmake-utils_use mysql_internal MYSQL_BACKEND_INTERNAL)
+ $(cmake-utils_use_disable odbc ODBC)
+ $(cmake-utils_use odbc_internal ODBC_BACKEND_INTERNAL)
+ $(cmake-utils_use_disable postgres PQ)
+ $(cmake-utils_use postgres_internal PQ_BACKEND_INTERNAL)
+ $(cmake-utils_use_disable sqlite SQLITE)
+ $(cmake-utils_use sqlite_internal SQLITE_BACKEND_INTERNAL)
+ -DLIBDIR=$(get_libdir)"
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ if use doc; then
+ rm docs/build.txt || die
+ dodoc -r docs/*
+ dohtml -r html/*
+ fi
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
diff --git a/dev-db/cppdb/metadata.xml b/dev-db/cppdb/metadata.xml
new file mode 100644
index 000000000..247592e77
--- /dev/null
+++ b/dev-db/cppdb/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-wanted@gentoo.org</email>
+ </maintainer>
+ <use>
+ <flag name="mysql_internal">Don't build a separate mysql loadable module but rather build it into the cppdb library itself</flag>
+ <flag name="odbc_internal">Don't build a separate postgresql loadable module but rather build it into the cppdb library itself</flag>
+ <flag name="postgres_internal">Don't build a separate odbc loadable module but rather build it into the cppdb library itself</flag>
+ <flag name="sqlite_internal">Don't build a separate sqlite3 loadable module but rather build it into the cppdb library itself</flag>
+ </use>
+</pkgmetadata>